Overview
POST
/ecosystem/namespaces/{id}/ecosystemsregistryCreate an ecosystem under a namespace (site-admin)
Create a record in ecosystems.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- slugstring
- namestring
- rdidoptionalstring
Override; defaults to <namespace-prefix>.<slug>
Example
{
"slug": "string",
"name": "string",
"rdid": "string"
}Responses
201
ecosystem
- idstring
- slugstring
- rdidstring
Defaults to <namespace-prefix>.<slug>
Example
{
"id": "string",
"slug": "string",
"rdid": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/ecosystem/namespaces/{id}/ecosystems" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"slug": "string",
"name": "string",
"rdid": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/namespaces/{id}/ecosystems", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"slug\": \"string\",\n \"name\": \"string\",\n \"rdid\": \"string\"\n}",
});
const data = await res.json();